Page MenuHomePhabricator

Edi fails to build with meson version 0.61.0
Closed, ResolvedPublic

Description

Edi won't build on Ubuntu Jammy (development branch) or Arch (Endeavour)
with meson 0.61.0.

The compilation fails with error:
data/extra/templates/meson.build:8:2: ERROR: File skeletons/eflproject does not exist.

See:
https://pastebin.com/Mw0MDNQa

No issue wth openSUSE Tumbleweed (meson 0.60.3), Ubuntu Focal (meson 0.53.2) ,
or Ubuntu Impish (meson 0.56.2).

So, Edi compiles OK with meson version inferior to 0.61.0, and these warnings may offer clues to what's going on:

(successful build on Ubuntu)
"data/extra/templates/meson.build:15: WARNING: Custom target input
'skeletons/eflproject' can't be converted to File object(s).
This will become a hard error in the future.
data/extra/templates/meson.build:15: WARNING: Custom target input
'skeletons/eflproject_python' can't be converted to File object(s).
This will become a hard error in the future."

carlasensa added a project: Restricted Project.Jan 19 2022, 3:17 AM
vtorri added a subscriber: vtorri.Feb 22 2022, 11:44 PM

possible fix:

remove the 'input' line in data/extra/templates/meson.build

vtorri closed this task as Resolved.Feb 23 2022, 12:42 PM

fixed in D12324